CoolStar’s Warning For Users On 11.2.x!

With the most recent release of the Jailbreak tool Electra some users are not able to use it due to the firmware they are on. Electra only supports iOS 11-11.1.2 but there is some good news. CoolStar has stated the below on Twitter.

For anyone on 11.2.x, stay there. Although a new exploit is required for 11.2.x, most of the patches in Electra will work on 11.2.x

Now this still doesn’t speak for Cydia and if we will see a better way to add tweaks and themes on Electra. Personally I think it would be cool to add a theme repo of some type to Anemone. Making themes easier to install. I don’t know if CoolStar is looking to add this. But only time will tell. But one thing is for sure don’t update your devices firmware if you are looking for any kind of Jailbreak in the future.

About

dtathemes is Stephen Fry proof thanks to caching by WP Super Cache